Permalink
Browse files

Reduce R package requirements

Gem v0.3.7.0 pushed
  • Loading branch information...
lmrodriguezr committed Feb 5, 2019
1 parent 441667f commit aa1993ffc2fb9be545c71c1d18776936df127596
Showing with 3 additions and 3 deletions.
  1. +1 −1 actions/init.rb
  2. +1 −1 lib/miga/version.rb
  3. +1 −1 manual/part2/requirements/apt-get.md
@@ -154,7 +154,7 @@ def ask_user(q, d=nil, ans=nil, force=false)

# Check for R packages
$stderr.puts "Looking for R packages:"
%w(enveomics.R ape phangorn phytools cluster vegan).each do |pkg|
%w(enveomics.R ape cluster vegan).each do |pkg|
$stderr.print "Testing #{pkg}... "
`echo "library('#{pkg}')" | #{paths["R"].shellescape} --vanilla -q 2>&1`
if $?.success?
@@ -10,7 +10,7 @@ module MiGA
# - Float representing the major.minor version.
# - Integer representing gem releases of the current version.
# - Integer representing minor changes that require new version number.
VERSION = [0.3, 6, 3]
VERSION = [0.3, 7, 0]

##
# Nickname for the current major.minor version.
@@ -8,7 +8,7 @@ If you have `apt-get`, execute:
# General-purpose software
sudo apt-get update
sudo apt-get install ruby ruby-sqlite3 r-base sqlite3 python \
libcurl4-openssl-dev libmagick++-dev
libcurl4-openssl-dev
# Bioinformatics software
sudo apt-get install ncbi-blast+ hmmer bedtools idba \
prodigal mcl barrnap scythe fastqc diamond-aligner

0 comments on commit aa1993f

Please sign in to comment.